Bug 2000440 - OCS Quick Start should not be shown unless you have proper privileges
Summary: OCS Quick Start should not be shown unless you have proper privileges
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
urgent
medium
Target Milestone: ---
: 4.9.0
Assignee: yvakil
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-02 07:36 UTC by yvakil
Modified: 2021-10-18 17:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:50:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console-operator pull 578 0 None None None 2021-09-02 07:39:25 UTC
Red Hat Issue Tracker ODC-6241 0 None None None 2021-09-02 07:36:26 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:51:11 UTC

Description yvakil 2021-09-02 07:36:27 UTC
Description of problem:
Currently you always see the OCS operator install

Prerequisites (if any, like setup, operators/versions):
Steps to Reproduce
Log into Openshift Console as a user who cannot install operators (as developer or on Dev Sandbox or create your own user)
Access Quick Starts through the Help icon in the top banner
Search for storage ...
Actual results:
This quick start should only be available if you can install operators.


Expected results:
This quick start should not be available on DevSandbox or when logged in as non priv user on another cluster

Reproducibility (Always/Intermittent/Only Once):
Always

Build Details:
Additional info:
The quick start (console-operator/quickstarts/install-serverless.yaml) is missing this in the spec section:

accessReviewResources:

group: operators.coreos.com
resource: operatorgroups
verb: list
group: packages.operators.coreos.com
resource: packagemanifests
verb: list
(note that the above was taken from the Serverless Install QS which works properly)

Comment 4 spathak@redhat.com 2021-09-07 06:02:57 UTC
Verified on build version: 4.9.0-0.nightly-2021-09-06-05531
Browser: Google Chrome 89

Comment 7 errata-xmlrpc 2021-10-18 17:50:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.